<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 2.3//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="hiptnt" timelimit="15 min" hardtimelimit="16 min" memlimit="15 GB" cpuCores="4">

<require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz"/>

  <resultfiles>**/witness.*</resultfiles>

<rundefinition name="SV-COMP23">
  <tasks name="Termination-MainControlFlow">
    <includesfile>../sv-benchmarks/c/Termination-MainControlFlow.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/termination.prp</propertyfile>
  </tasks>
  <tasks name="Termination-MainHeap">
    <includesfile>../sv-benchmarks/c/Termination-MainHeap.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/termination.prp</propertyfile>
  </tasks>
  <tasks name="Termination-Other">
    <includesfile>../sv-benchmarks/c/Termination-Other.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/termination.prp</propertyfile>
  </tasks>
  <tasks name="SoftwareSystems-DeviceDriversLinux64-Termination">
    <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64-Termination.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/termination.prp</propertyfile>
  </tasks>
</rundefinition>

</benchmark>
